public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Takao Fujiwara <tfujiwar@redhat.com>
To: git-commits@fedoraproject.org
Subject: [rpms/ibus] autotool: Update CI from ibus-typing-booster
Date: Sun, 31 May 2026 02:07:25 GMT [thread overview]
Message-ID: <178019324583.1.149136272387131427.rpms-ibus-e4d6203776e2@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : rpms/ibus
Branch : autotool
Commit : e4d6203776e2815abaf9a0f0672450929a426e55
Author : Takao Fujiwara <tfujiwar@redhat.com>
Date : 2020-07-28T13:43:02+09:00
Stats : +23/-9 in 2 file(s)
URL : https://src.fedoraproject.org/rpms/ibus/c/e4d6203776e2815abaf9a0f0672450929a426e55?branch=autotool
Log:
Update CI from ibus-typing-booster
---
diff --git a/ibus.spec b/ibus.spec
index 31a5b2d..6e9b233 100644
--- a/ibus.spec
+++ b/ibus.spec
@@ -32,7 +32,7 @@
Name: ibus
Version: 1.5.22
-Release: 9%{?dist}
+Release: 10%{?dist}
Summary: Intelligent Input Bus for Linux OS
License: LGPLv2+
URL: https://github.com/ibus/%name/wiki
@@ -253,14 +253,19 @@ the functionality of the installed %{name} package.
%prep
%autosetup -S git
# cp client/gtk2/ibusimcontext.c client/gtk3/ibusimcontext.c || :
+# cp client/gtk2/ibusim.c client/gtk3/ibusim.c || :
+cp client/gtk2/ibusim.c client/gtk3/ibusim.c || :
# prep test
-diff client/gtk2/ibusimcontext.c client/gtk3/ibusimcontext.c
-if test $? -ne 0 ; then
- echo "Have to copy ibusimcontext.c into client/gtk3"
- abort
-fi
+for f in ibusimcontext.c ibusim.c
+do
+ diff client/gtk2/$f client/gtk3/$f
+ if test $? -ne 0 ; then
+ echo "Have to copy $f into client/gtk3"
+ abort
+ fi
+done
%build
#autoreconf -f -i -v
@@ -460,6 +465,10 @@ dconf update || :
%{_datadir}/installed-tests/ibus
%changelog
+* Tue Jul 28 2020 Takao Fujiwara <tfujiwar@redhat.com> - 1.5.22-10
+- Delete _python_bytecompile_extra
+- Update CI from ibus-typing-booster
+
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.22-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
diff --git a/tests/roles/ibus-desktop-testing-role/tasks/main.yml b/tests/roles/ibus-desktop-testing-role/tasks/main.yml
index 13b9c19..4b83510 100644
--- a/tests/roles/ibus-desktop-testing-role/tasks/main.yml
+++ b/tests/roles/ibus-desktop-testing-role/tasks/main.yml
@@ -54,13 +54,16 @@
chdir: gnome-desktop-testing
- name: Start IBus installed-tests testing harness
+ environment:
+ ANSIBLE: 1
+ TMPDIR: '{{ remote_artifacts }}'
+ G_MESSAGES_DEBUG: 'all'
block:
- name: Execute IBus tests
shell: |
set -e
status="FAIL: frame"
- env TMPDIR='{{ remote_artifacts }}' G_MESSAGES_DEBUG='all' \
- ibus-desktop-testing-runner \
+ ibus-desktop-testing-runner \
--no-graphics \
--runner=gnome \
--tests='{{ installed_test_name }}' \
@@ -77,10 +80,12 @@
log="{{ remote_artifacts }}/test.log"
if [ ! -f $log ] ; then
echo ERROR
+ exit 1
else
- FAIL=`grep "^FAIL: " {{ remote_artifacts }}/test.log | grep -v 'FAIL: 0$'`
+ FAIL=`grep "^FAIL: " $log | grep -v 'FAIL: 0$'`
if [ x"$FAIL" != x ] ; then
echo ERROR
+ exit 1
else
echo PASS
fi
reply other threads:[~2026-05-31 2:07 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178019324583.1.149136272387131427.rpms-ibus-e4d6203776e2@fedoraproject.org \
--to=tfujiwar@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox